Application
GET
/applications/{id}/countries/{country}/credit_program/holders/{customer_id}/topupsRetrieve Holders Topups
Responses: 200, 503, 400
Generated from the code contract; no hand-written description yet.
This endpoint is deprecated and no longer be used.
Request
Example
curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/applications/{{id}}/countries/{{country}}/credit_program/holders/{{customer_id}}/topups'Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "<string>",
"rows": [
{
"id": "<string>",
"application_country_id": "<string>",
"holder_customer_id": "<string>",
"currency": "<string>",
"amount": 0,
"vat_amount": 0,
"total_amount": 0,
"status": "<string>",
"source": "<string>",
"billing_application_country_id": "<string>",
"billing_customer_id": "<string>",
"invoice_id": "<string>",
"charge_id": "<string>",
"journal_ref": "<string>",
"wallet_id": "<string>",
"failure_reason": "<string>",
"paid_at": "<RFC3339 timestamp>",
"metadata": "<Metadata>",
"created_at": "<RFC3339 timestamp>",
"updated_at": "<RFC3339 timestamp>",
"deleted_at": "<RFC3339 timestamp>"
}
],
"total": 0
}400400 Bad Request
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}